javax.el

## Class VariableMapper

- java.lang.Object
- - javax.el.VariableMapper

-     public abstract class VariableMapper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableMapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ValueExpression` | `resolveVariable(java.lang.String variable)`
    `abstract ValueExpression` | `setVariable(java.lang.String variable, ValueExpression expression)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableMapper

          public VariableMapper()

  - ### Method Detail

    - #### resolveVariable

          public abstract ValueExpression resolveVariable(java.lang.String variable)

    - #### setVariable

          public abstract ValueExpression setVariable(java.lang.String variable,
                                    ValueExpression expression)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.